﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        StringBuilder scriptString = new StringBuilder();
        try
        {
            scriptString.Append("<link rel='STYLESHEET' type='text/css' href='" + this.ResolveUrl("~/dhtmlxGrid/dhtmlxgrid.css") + "' />");
            scriptString.Append("<link rel='STYLESHEET' type='text/css' href='" + this.ResolveUrl("~/dhtmlxGrid/skins/dhtmlxgrid_dhx_skyblue.css") + "' />");
            scriptString.Append("<script language='javascript'>var _css_prefix='" + this.ResolveClientUrl("~/dhtmlxGrid") + "/'; var _js_prefix='" + this.ResolveClientUrl("~/dhtmlxGrid") + "/';</script>");
            scriptString.Append("<script language='javascript' src='" + this.ResolveUrl("~/js/jquery-1.8.0.min.js") + "'></script>");
            scriptString.Append("<script language='javascript' src='" + this.ResolveUrl("~/dhtmlxGrid/dhtmlxgrid_pro.js") + "'></script>");
            scriptString.Append("<script language='javascript' src='" + this.ResolveUrl("~/js/DhtmlxUtil.js") + "'></script>");

            scriptString.Append("<script language='javascript' src='" + this.ResolveUrl("~/js/Default.js") + "'></script>");

            scriptString.Append(" <script language='javascript'> function GethdnImgUrl() { return '" + this.ResolveUrl("~/dhtmlxGrid/imgs/") + "'; }</script> ");
            if (!Page.ClientScript.IsClientScriptBlockRegistered("dhtmlxGridScripts"))
            {
                Page.ClientScript.RegisterClientScriptBlock(this.GetType(), "dhtmlxGridScripts", scriptString.ToString());
            }
            hdnLoginGridXML.Value = File.ReadAllText(Server.MapPath(this.ResolveUrl("~/XML/LoginList.xml")));
        }
        catch (Exception ex)
        {
            throw ex;
        }
    }
}